// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.services' is found in services.js
// 'starter.controllers' is found in controllers.js
angular.module('app', ['ionic', 'app.controllers', 'app.routes', 'app.services', 'app.directives', 'jett.ionic.filter.bar']).config(function($ionicConfigProvider,$logProvider,$compileProvider,$sceProvider) {
  // Completely disable SCE.  For demonstration purposes only!
  // Do not use in new projects.
  $sceProvider.enabled(false);
  $ionicConfigProvider.scrolling.jsScrolling(false);
  $logProvider.debugEnabled(false);
  $compileProvider.debugInfoEnabled(false);
})

.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)

  ionic.Platform.fullScreen();
  
  window.ga.startTrackerWithId('UA-59806081-4');
  window.ga.setAppVersion('2.2.7');
  window.ga.setUserId('device.uuid');
  window.ga.trackView('Launch');

  // window.open = window.inAppBrowserXwalk.open;
  // window.open = cordova.InAppBrowser.open;

  var notificationOpenedCallback = function(jsonData) {
    console.log('notificationOpenedCallback: ' + JSON.stringify(jsonData));
  };

     window.plugins.OneSignal
    .startInit("c4ffea7c-f2af-4ebb-8179-9c0aeb2c90df", "225481026425")
    .handleNotificationOpened(notificationOpenedCallback)
    .endInit();

    if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
      cordova.plugins.Keyboard.disableScroll(true);
    }
    if (window.StatusBar) {
      return StatusBar.hide();
    }

  });
        

    
})